Browse Source

bump minimum required autoconf version and revise autogen.sh

Ozkan Sezer 4 years ago
parent
commit
babd79b8ef
3 changed files with 18 additions and 19 deletions
  1. 9 9
      autogen.sh
  2. 1 1
      configure.ac
  3. 8 9
      test/autogen.sh

+ 9 - 9
autogen.sh

@@ -1,5 +1,5 @@
 #!/bin/sh
-#
+
 echo "Generating build information using autoconf"
 echo "This may take a while ..."
 
@@ -9,15 +9,15 @@ cd "$srcdir"
 
 # Regenerate configuration files
 cat acinclude/* >aclocal.m4
-found=false
-for autoconf in autoconf autoconf259 autoconf-2.59
-do if which $autoconf >/dev/null 2>&1; then $autoconf && found=true; break; fi
-done
-if test x$found = xfalse; then
-    echo "Couldn't find autoconf, aborting"
-    exit 1
+
+if test "$AUTOCONF"x = x; then
+  AUTOCONF=autoconf
 fi
+
+$AUTOCONF || exit 1
+rm aclocal.m4
+rm -rf autom4te.cache
+
 (cd test; sh autogen.sh)
 
-# Run configure for this platform
 echo "Now you are ready to run ./configure"

+ 1 - 1
configure.ac

@@ -1,5 +1,5 @@
 dnl Process this file with autoconf to produce a configure script.
-AC_PREREQ([2.59])
+AC_PREREQ([2.63])
 AC_INIT
 AC_CONFIG_SRCDIR([src/SDL.c])
 AC_CONFIG_HEADERS([include/SDL_config.h])

+ 8 - 9
test/autogen.sh

@@ -1,12 +1,11 @@
 #!/bin/sh
-#
-# Regenerate configuration files
+
 cp acinclude.m4 aclocal.m4
-found=false
-for autoconf in autoconf autoconf259 autoconf-2.59
-do if which $autoconf >/dev/null 2>&1; then $autoconf && found=true; break; fi
-done
-if test x$found = xfalse; then
-    echo "Couldn't find autoconf, aborting"
-    exit 1
+
+if test "$AUTOCONF"x = x; then
+  AUTOCONF=autoconf
 fi
+
+$AUTOCONF || exit 1
+rm aclocal.m4
+rm -rf autom4te.cache